# -*- coding: utf-8 -*-
# Generated by Django 1.11 on 2017-10-11 11:18
from __future__ import unicode_literals

from django.db import migrations
from django.db.migrations import RunPython


def create_builtin_templates_variables(apps, schema_editor):
    template_model = apps.get_model('customer', 'CommunicationEventType')
    variable_model = apps.get_model('customer', 'CommunicationEventTypeTestVariable')

    comm_event_types = [
        {
            'code': 'BACKCALL',
            'variables': [
                {
                    'code': 'phone_number',
                    'description': 'номер телефона клиента'
                },
                {
                    'code': 'email',
                    'description': 'электронная почта клиента'
                },
                {
                    'code': 'name',
                    'description': 'имя клиента'
                },
            ]
        },
        {
            'code': 'QUESTION',
            'variables': [
                {
                    'code': 'text',
                    'description': 'текст вопроса'
                },
                {
                    'code': 'phone_number',
                    'description': 'номер телефона клиента'
                },
                {
                    'code': 'email',
                    'description': 'электронная почта клиента'
                },
                {
                    'code': 'name',
                    'description': 'имя клиента'
                },
            ]
        },
        {
            'code': 'SLIDER_CTA_REQUEST',
            'variables': [
                {
                    'code': 'slide.title',
                    'description': 'заголовок слайда'
                },
                {
                    'code': 'slide.btn_text',
                    'description': 'текст кнопки'
                },
                {
                    'code': 'phone_number',
                    'description': 'номер телефона клиента'
                },
                {
                    'code': 'email',
                    'description': 'электронная почта клиента'
                },
                {
                    'code': 'name',
                    'description': 'имя клиента'
                },
            ]
        },
    ]

    for comm_event_type in comm_event_types:
        template = template_model.objects.get(code=comm_event_type['code'])
        for variable in comm_event_type['variables']:
            variable_model.objects.create(
                template=template,
                code=variable['code'],
                description=variable['description'],
            )


class Migration(migrations.Migration):
    dependencies = [
        ('feedback', '0008_auto_20171009_1811'),
    ]

    operations = [
        RunPython(create_builtin_templates_variables)
    ]
